local DbOption  = require('Options.DbOption')
local i18n      = require('i18n')
local oms       = require('optionsModsScripts')
local Range     = DbOption.Range --allows scroll bars to be used

--these are saved in DCS\Config\options.lua by DCS itself

return {
  M2000CManual01Chaff  = DbOption.new():setValue(6):slider(Range(0, 20)),
  M2000CManual01Flare  = DbOption.new():setValue(0):slider(Range(0, 32)), 
  M2000CManual01Interval  = DbOption.new():setValue(0.50):slider(Range(0.00, 0.75)),
  M2000CManual01Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual01CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual02Chaff  = DbOption.new():setValue(6):slider(Range(0, 20)),
  M2000CManual02Flare  = DbOption.new():setValue(0):slider(Range(0, 32)), 
  M2000CManual02Interval  = DbOption.new():setValue(0.50):slider(Range(0.00, 0.75)),
  M2000CManual02Cycle  = DbOption.new():setValue(2):slider(Range(1, 3)),
  M2000CManual02CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
    
  M2000CManual03Chaff  = DbOption.new():setValue(6):slider(Range(0, 20)),
  M2000CManual03Flare  = DbOption.new():setValue(0):slider(Range(0, 32)), 
  M2000CManual03Interval  = DbOption.new():setValue(0.50):slider(Range(0.00, 0.75)),
  M2000CManual03Cycle  = DbOption.new():setValue(3):slider(Range(1, 3)),
  M2000CManual03CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual04Chaff  = DbOption.new():setValue(0):slider(Range(0, 20)),
  M2000CManual04Flare  = DbOption.new():setValue(2):slider(Range(0, 32)), 
  M2000CManual04Interval  = DbOption.new():setValue(0.00):slider(Range(0.00, 0.75)),
  M2000CManual04Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual04CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual05Chaff  = DbOption.new():setValue(1):slider(Range(0, 20)),
  M2000CManual05Flare  = DbOption.new():setValue(1):slider(Range(0, 32)), 
  M2000CManual05Interval  = DbOption.new():setValue(0.00):slider(Range(0.00, 0.75)),
  M2000CManual05Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual05CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual06Chaff  = DbOption.new():setValue(12):slider(Range(0, 20)),
  M2000CManual06Flare  = DbOption.new():setValue(0):slider(Range(0, 32)), 
  M2000CManual06Interval  = DbOption.new():setValue(0.75):slider(Range(0.00, 0.75)),
  M2000CManual06Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual06CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual07Chaff  = DbOption.new():setValue(20):slider(Range(0, 20)),
  M2000CManual07Flare  = DbOption.new():setValue(0):slider(Range(0, 32)), 
  M2000CManual07Interval  = DbOption.new():setValue(0.25):slider(Range(0.00, 0.75)),
  M2000CManual07Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual07CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual08Chaff  = DbOption.new():setValue(0):slider(Range(0, 20)),
  M2000CManual08Flare  = DbOption.new():setValue(6):slider(Range(0, 32)), 
  M2000CManual08Interval  = DbOption.new():setValue(0.25):slider(Range(0.00, 0.75)),
  M2000CManual08Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual08CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual09Chaff  = DbOption.new():setValue(20):slider(Range(0, 20)),
  M2000CManual09Flare  = DbOption.new():setValue(6):slider(Range(0, 32)), 
  M2000CManual09Interval  = DbOption.new():setValue(0.25):slider(Range(0.00, 0.75)),
  M2000CManual09Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual09CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  M2000CManual10Chaff  = DbOption.new():setValue(0):slider(Range(0, 20)),
  M2000CManual10Flare  = DbOption.new():setValue(32):slider(Range(0, 32)), 
  M2000CManual10Interval  = DbOption.new():setValue(0.25):slider(Range(0.00, 0.75)),
  M2000CManual10Cycle  = DbOption.new():setValue(1):slider(Range(1, 3)),
  M2000CManual10CycleInterval  = DbOption.new():setValue(2.00):slider(Range(0.00, 2.00)),
  
  makeICSafe	= DbOption.new():setValue(false):checkbox(),
}